'Some constants to make game functions more clear
%Clubs = 0
%Diamonds = 1
%Hearts = 2
%Spades = 3
%AnySuit = 4
%AnyCard = 13
%NoCard = 52

'How are we rendering our card?
%ordFaces = 0
%ordBacks = 1
%ordInvert = 2

'What cardback will we be using?
%ordCrossHatch = 53
%ordPlaid = 54
%ordWeave = 55
%ordRobot = 56 ' blinking lights, moving dial
%ordRoses = 57
%ordIvyBlack = 58
%ordIvyBlue = 59
%ordFishCyan = 60
%ordFishBlue = 61
%ordShell = 62
%ordCastle = 63 ' bats flap wings
%ordBeach = 64 ' dons sunglasses, sticks out tongue
%ordCardHand = 65 ' card slides out of sleeve
%ordUnused = 66
%ordX = 67
%ordO = 68


'The declares for Cards32.DLL or Cards.DLL (in XP):

#If %IsXP
' Activates library
Declare Function cdtInit Lib "Cards.Dll" Alias "cdtInit" (dx As Long, dy As Long) As Long

' Clears lib from memory
Declare Sub cdtTerm Lib "Cards.Dll" Alias "cdtTerm" ()

' CdtDraw draws a card at position xPos/yPos in the client area of a window.
' The card has default dimensions: 71 * 96 pixels.
' The iCard parameter controls which card is drawn.
' CrdSide (values 0 thru 7) defines whether a face(0), a back(1), the red
' cross, the circle card or inverted card are drawn.
Declare Function cdtDraw Lib "Cards.Dll" Alias "cdtDraw" (ByVal hdc As Long, ByVal xPos As Long, ByVal yPos As Long, _
ByVal iCard As Long, ByVal CrdSide As Long, ByVal clr As Long) As Long
' CdtDrawExt draws a card with user defined dimensions.
' It is not recommended to use it - the cards can get ugly.
Declare Function cdtDrawExt Lib "Cards.Dll" Alias "cdtDrawExt" (ByVal hdc As Long, ByVal xPos As Long, _
ByVal yPos As Long, ByVal dx As Long, _
ByVal dy As Long, ByVal ordCard As Long, _
ByVal CrdSide As Long, ByVal clr As Long) As Long
' Call cdtAnimate every 250 ms for proper animation speed. The return value is
' TRUE if the animation was successful, and FALSE when the animation has finished.
' To draw each state, start with lState set to 0 and increment through until cdtAnimate returns 0
Declare Function cdtAnimate Lib "CARDS.DLL" Alias "cdtAnimate" (ByVal hDC As Dword, ByVal lBack As Long, ByVal x As Long, ByVal y As Long, _
ByVal lState As Long) As Long
#Else
Declare Function cdtInit Lib "Cards32.Dll" Alias "cdtInit" (dx As Long, dy As Long) As Long
Declare Sub cdtTerm Lib "Cards32.Dll" Alias "cdtTerm" ()
Declare Function cdtDraw Lib "Cards32.Dll" Alias "cdtDraw" (ByVal hdc As Long, ByVal xPos As Long, ByVal yPos As Long, _
ByVal iCard As Long, ByVal CrdSide As Long, ByVal clr As Long) As Long
Declare Function cdtDrawExt Lib "Cards32.Dll" Alias "cdtDrawExt" (ByVal hdc As Long, ByVal xPos As Long, _
ByVal yPos As Long, ByVal dx As Long, _
ByVal dy As Long, ByVal ordCard As Long, _
ByVal CrdSide As Long, ByVal clr As Long) As Long

' Backs don't animate in Windows XP
Declare Function cdtAnimate Lib "CARDS32.DLL" Alias "cdtAnimate" (ByVal hDC As Dword, ByVal CardBack As Long, ByVal x As Long, ByVal y As Long, _
ByVal lState As Long) As Long
#EndIf

'Some globals to pass between various forms
Global bytCurrentSuit As Byte 'What is the currently nominated suit?
Global Player1Score As Long 'How many points has player1 accumulated?
Global Player2Score As Long 'How many points has player2 accumulated?
Global Player3Score As Long 'How many points has player3 accumulated?
Global Player4Score As Long 'How many points has player4 accumulated?
Global MaxScore As Long 'How many points before the game's over?
Global StartCards As Long 'How many cards does each player start with?
